| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes

# IG::Neural::Applications::Functions::ScalarFunctionScriptWindow Class Reference

Window for definition of scalar functions by expressions (through script loader). More...

Collaboration diagram for IG::Neural::Applications::Functions::ScalarFunctionScriptWindow:
[legend]

List of all members.

## Public Member Functions
| ScalarFunctionScriptWindow ()
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable.
ScalarFunctionScriptControl | scalarFunctionScriptControl1

## Detailed Description

Window for definition of scalar functions by expressions (through script loader).

$A Igor;

## Constructor & Destructor Documentation

IG::Neural::Applications::Functions::ScalarFunctionScriptWindow::ScalarFunctionScriptWindow | ( |  | ) | `[inline]`

## Member Function Documentation

override void IG::Neural::Applications::Functions::ScalarFunctionScriptWindow::Dispose | ( | bool | disposing | ) | `[inline, protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

void IG::Neural::Applications::Functions::ScalarFunctionScriptWindow::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

System.ComponentModel.IContainer IG::Neural::Applications::Functions::ScalarFunctionScriptWindow::components = null`[private]`

Required designer variable.

ScalarFunctionScriptControl IG::Neural::Applications::Functions::ScalarFunctionScriptWindow::scalarFunctionScriptControl1`[private]`

The documentation for this class was generated from the following files:

- ScalarFunctionScriptWindow.cs
- ScalarFunctionScriptWindow.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events